<?php 
require_once("config.php");
$toppld = '';
$sqltpld = "SELECT `trackID`, `date_played`, `artist`, `title`, `duration` FROM `history` WHERE `ID` != (SELECT MAX(ID) FROM `history`) AND `song_type`='0' ORDER BY `date_played` DESC LIMIT 0,".PLDDISPLAYLIM."";
$tpld = mysqli_query($db_conx, $sqltpld);
if($tpld === FALSE) { echo ''; }
while($rtpld = mysqli_fetch_assoc($tpld)) {
	
	$tpsongID = mysqli_real_escape_string($db_conx, $rtpld['trackID']);
	
	$sqlpld = "SELECT * FROM `songs` WHERE `ID`='$tpsongID'";
	$resultpld = mysqli_query($db_conx, $sqlpld);
	while($pldrow = mysqli_fetch_assoc($resultpld)) {
	$pldsongID = mysqli_real_escape_string($db_conx, $pldrow["ID"]);
	$pldartist = $pldrow["artist"];
	$pldtitle = mysqli_real_escape_string($db_conx, $pldrow["title"]);
	$mmss = convertTime($pldrow['duration']);
	}

$toppld .= '
<ul class="reqil">
  <li style="width:38%;">'.$pldartist.'</li>
  <li style="width:50%;">'.$pldtitle.'</li>  
  <li style="width:10%;">' . $mmss . '</li>
</ul>

';
}
$topreq = '';
$sqltreq = "SELECT `songID`, COUNT(*) as ID FROM `requests` GROUP BY `songID` ORDER BY `ID` DESC LIMIT 0,".HOMEPMOSTR."";
$treq = mysqli_query($db_conx, $sqltreq);
if($treq === FALSE) { $topreq = ''; }
while($rtreq = mysqli_fetch_assoc($treq)) {
	
	$trsongID = mysqli_real_escape_string($db_conx, $rtreq['songID']);
	
	$sqlri2 = "SELECT * FROM `songs` WHERE `ID`='$trsongID'";
	$resultri2 = mysqli_query($db_conx, $sqlri2);
	while($tt2row = mysqli_fetch_assoc($resultri2)) {
	$ttsongID = mysqli_real_escape_string($db_conx, $tt2row["ID"]);
	$ttartist = $tt2row["artist"];
	$tttitle = mysqli_real_escape_string($db_conx, $tt2row["title"]);

$topreq .= '<span class="label label-default">'.$ttartist.' - '.$tttitle.'</span>
';
}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <title><?php echo SITE_NAME; ?> - <?php echo SITE_SLOG; ?></title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="assets/css/bootstrap.min.css">
  <link rel="stylesheet" href="assets/css/style.css">
  <script src="assets/js/jquery.min.js"></script>
  <script src="assets/js/bootstrap.min.js"></script>
</head>
<body>
<div id="maincont">
<nav class="navbar navbar-inverse">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="/"><img src="<?php echo SITE_LOGO; ?>" width="100%" style=" max-width:130px;max-height:26px;" alt="<?php echo SITE_NAME; ?>"></a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav">
        <li><a href="/">Home</a></li>
        <li><a href="requests.php">Request</a></li>
        <li class="active"><a href="recently.php">Recently</a></li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <?php echo TUNEIN; ?>
      </ul>
    </div>
  </div>
</nav>
<div id="maincont">

  
<div class="container text-center">    
  <div class="row">
    <div class="col-sm-3 well">
      <div class="well">
        <h2><a href="#"><?php echo SITE_NAME; ?></a></h2>
        <h4><a href="#"><?php echo SITE_SLOG; ?></a></h4>
        <img src="<?php echo SITE_LOGO; ?>" width="100%" style=" max-width:290px;max-height:76px;" alt="<?php echo SITE_NAME; ?>">
      </div>
      <div class="well">
        <p><a href="#">Most Requested</a></p>
        <p><?php echo $topreq;; ?></p>
      </div>
      <p>POWERED BY <a href="https://radiodj.ro" target="_blank">RADIODJ</a></p>
      <p>Developed By  <a href="https://stewartswebworks.com" target="_blank">StewartsWebWorks.com</a></p>
    </div>
    <div class="col-sm-9">
    
      <div class="row">
        <div class="col-sm-12 well">
  <h3>Recently on <?php echo SITE_NAME; ?></h3>
    <?php echo $toppld; ?>
        </div>
      </div>
    </div>
  </div>
</div>




<footer id="footer">
  <p>&copy; <?php echo SITE_NAME; ?> <?php echo date("Y"); ?> All rights reserved. <?php if(!empty(ORS_LNUMB)){ echo '(Licence No:'.ORS_LNUMB.')'; }else{ echo ''; } ?><br /> POWERED BY <a style="color:#d2d2d2;" href="https://radiodj.ro" target="_blank">RADIODJ</a> - Website Developed By  <a style="color:#d2d2d2;" href="https://stewartswebworks.com" target="_blank">StewartsWebWorks.com</a></p>
</footer>
<!-- YOUR USE OF THIS WEBSCRIPT IS FOR USE WITH RADIODJ (RADIODJ.RO) AND IS BROUGHT TO YOU BY STEWARTSWEBWORKS.COM FREE WITH THE LIMITATION THAT YOU LEAVE THE POWERED BY AND DEVELOPED BY LINKS IN PLACE - THANK YOU -->
</div>
</body>
</html>