<?php 
require_once("config.php");

$sqlxrr = "SELECT COUNT(*) as num FROM `songs` WHERE `enabled`='1' AND `song_type`='0'";
$xrrresult = mysqli_query($db_conx, $sqlxrr);
$row = mysqli_fetch_row($xrrresult);
$rows = $row[0];
$page_rows = REQPROWS;
$last = ceil($rows/$page_rows);
if($last < 1){
	$last = 1;
}
$pagenum = 1;
if(isset($_GET['pn'])){
	$pagenum = preg_replace('#[^0-9]#', '', $_GET['pn']);
}
if ($pagenum < 1) { 
    $pagenum = 1; 
} else if ($pagenum > $last) { 
    $pagenum = $last; 
}
$limit = 'LIMIT ' .($pagenum - 1) * $page_rows .',' .$page_rows;
$sqlxrr = "SELECT `ID`, `artist`, `title`, `duration`, `date_played`, `artist_played` FROM `songs` WHERE `enabled`='1' AND `song_type`=0 ORDER BY `artist` ASC $limit";
$xrrresult = mysqli_query($db_conx, $sqlxrr);
$textline1 = "<b>$rows</b> Tracks";
$textline2 = "Page <b>$pagenum</b> of <b>$last</b>";
$paginationCtrls = '';
if($last != 1){
	if ($pagenum > 1) {
        $previous = $pagenum - 1;
		$paginationCtrls .= '<li><a href="'.$_SERVER['PHP_SELF'].'?pn='.$previous.'"><span aria-hidden="true">&laquo;</span><span class="sr-only">Previous</span></a></li>';
		for($i = $pagenum-3; $i < $pagenum; $i++){
			if($i > 0){
		        $paginationCtrls .= '<li><a href="'.$_SERVER['PHP_SELF'].'?pn='.$i.'">'.$i.'</a></li>';
			}
	    }
    }
	$paginationCtrls .= '<li><a href="#" class="active">'.$pagenum.'</a></li>';
	for($i = $pagenum+1; $i <= $last; $i++){
		$paginationCtrls .= '<li><a href="'.$_SERVER['PHP_SELF'].'?pn='.$i.'">'.$i.'</a></li>';
		if($i >= $pagenum+3){
			break;
		}
	}
    if ($pagenum != $last) {
        $next = $pagenum + 1;
        $paginationCtrls .= '<li><a href="'.$_SERVER['PHP_SELF'].'?pn='.$next.'"><span aria-hidden="true">&raquo;</span><span class="sr-only">Next</span></a></li>';
    }
}
$requestlist = '';
while($xrrrow = mysqli_fetch_assoc($xrrresult)) {
	$ttsongID = $xrrrow['ID'];
	$ttartist = mysqli_real_escape_string($db_conx, $xrrrow['artist']);
	$tttitle = mysqli_real_escape_string($db_conx, $xrrrow['title']);
	
	$mmss = convertTime($xrrrow['duration']);
	
	$ttartist = stripslashes($ttartist);
	$tttitle = stripslashes($tttitle);
	
	$artistcut = preg_replace('/\s+?(\S+)?$/', '', substr($xrrrow['artist'] . ' ', 0, 42)). '';
	$titlecut = preg_replace('/\s+?(\S+)?$/', '', substr($xrrrow['title'] . ' ', 0, 24)). '...';
	
	$PhpDate2 = strtotime($xrrrow["date_played"]);
	$dplayed = date('d M, Y', $PhpDate2);
	
//////////////// ALLOW REQUEST ELSEIF DISPLAY SONG ONLY ////////////////////
$reqbtn = '';
$sqlcheckreq = mysqli_query($db_conx, "SELECT * FROM `requests` WHERE `songID`='".$ttsongID."' AND `requested` > NOW() - INTERVAL 1 HOUR");
if(mysqli_num_rows($sqlcheckreq)) {
$reqbtn = '<div class="rdjbuttonrqd">REQUESTED</div>';
}else{
$reqbtn = '
<button onclick="document.getElementById(\'iREQ'.$ttsongID.'-RDJ\').style.display=\'block\'" class="rdjbutton">REQUEST</button>
';
}

$requestlist .= '
<ul class="reqil">
  <li style="width:30%;">' . $ttartist . '</li>
  <li style="width:40%;">' . $tttitle . '</li>  
  <li style="width:10%;">' . $mmss . '</li>  
  <li style="width:18%;">'.$reqbtn.'</li>
</ul>


<!-- The RDJ Modal -->
<div id="iREQ'.$ttsongID.'-RDJ" class="rdjmodal">
<span onclick="document.getElementById(\'iREQ'.$ttsongID.'-RDJ\').style.display=\'none\'" class="rdjclose" title="Close">&times;</span>

<div class="rdjcontainer">
      <ul class="reqil">
	  <li style="width:72%;"><h4>'.$ttartist.'</h4>'.$tttitle.'</li>
	  </ul>
</div>

<div class="rdjcontainer">
<div id="interactionResult'.$ttsongID.'">
<form action="javascript:send'.$ttsongID.'REQ();" name="req'.$ttsongID.'" id="req'.$ttsongID.'" method="post">
<input name="reqname'.$ttsongID.'" type="text" id="reqname'.$ttsongID.'" style="padding:6px;width:80%;" placeholder="Your name" class="rdjinput" />
<textarea name="rmessage'.$ttsongID.'" id="rmessage'.$ttsongID.'" rows="2" style="padding:6px;width:80%;" placeholder="Add a message to display on site when '.$ttartist.' is played (optional)" class="rdjinput"></textarea>
<button type="submit" class="rdjbutton" style="width:80%;" name="req'.$ttsongID.'">Request this song to be played.</button>
</form>
</div>
</div>

</div>

<script type="text/javascript">
var rdjmodal = document.getElementById("iREQ'.$ttsongID.'-RDJ");

$("#req'.$ttsongID.'").submit(function(){$("input[type=submit]", this).attr("disabled", "disabled");});
function send'.$ttsongID.'REQ() {
	  var reqname = $("#reqname'.$ttsongID.'");
	  var rmessage = $("#rmessage'.$ttsongID.'");
	  var rsongid = "'.$ttsongID.'";
	  var url = "requests.parse.php";
      $.post(url,{reqname: reqname.val(), rmessage: rmessage.val(), rsongid: rsongid} , function(data) {
			   $("#interactionResult'.$ttsongID.'").html(data).show();
			   document.send'.$ttsongID.'REQ.rsongid.value="";
      });
}
</script>
';
}
$topreq = '';
$sqltreq = "SELECT `songID`, COUNT(*) as ID FROM `requests` GROUP BY `songID` ORDER BY `ID` DESC LIMIT 0,".HOMEPMOSTR."";
$treq = mysqli_query($db_conx, $sqltreq);
if($treq === FALSE) { $topreq = ''; }
while($rtreq = mysqli_fetch_assoc($treq)) {
	
	$trsongID = mysqli_real_escape_string($db_conx, $rtreq['songID']);
	
	$sqlri2 = "SELECT * FROM `songs` WHERE `ID`='$trsongID'";
	$resultri2 = mysqli_query($db_conx, $sqlri2);
	while($tt2row = mysqli_fetch_assoc($resultri2)) {
	$ttsongID = mysqli_real_escape_string($db_conx, $tt2row["ID"]);
	$ttartist = $tt2row["artist"];
	$tttitle = mysqli_real_escape_string($db_conx, $tt2row["title"]);

$topreq .= '<span class="label label-default">'.$ttartist.' - '.$tttitle.'</span>
';
}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <title><?php echo SITE_NAME; ?> - <?php echo SITE_SLOG; ?></title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="assets/css/bootstrap.min.css">
  <link rel="stylesheet" href="assets/css/font-awesome.min.css">
  <link rel="stylesheet" href="assets/css/style.css">
  <script src="assets/js/jquery.min.js"></script>
  <script src="assets/js/bootstrap.min.js"></script>
<script type="text/javascript">
$(document).ready(function() {
$("#live_search_input").keyup(function()
{
var live_search_input = $(this).val();
var dataString = 'keyword='+ live_search_input;
if(live_search_input.length>1)

{
$.ajax({
type: "GET",
url: "requests.live.php",
data: dataString,
beforeSend:  function() {

$('input#live_search_input').addClass('loading');

},
success: function(server_response)
{

$('#searchresultdata').html(server_response).show();

if ($('input#live_search_input').hasClass("loading")) {
$("input#live_search_input").removeClass("loading");
} 

}
});
}return false;
});
});

</script>
</head>
<body>
<div id="maincont">
<nav class="navbar navbar-inverse">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="/"><img src="<?php echo SITE_LOGO; ?>" width="100%" style=" max-width:130px;max-height:26px;" alt="<?php echo SITE_NAME; ?>"></a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav">
        <li><a href="/">Home</a></li>
        <li class="active"><a href="requests.php">Request</a></li>
        <li><a href="recently.php">Recently</a></li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <?php echo TUNEIN; ?>
      </ul>
    </div>
  </div>
</nav>
<div id="maincont">

  
<div class="container text-center">    
  <div class="row">
    <div class="col-sm-3 well">
      <div class="well">
        <h2><a href="#"><?php echo SITE_NAME; ?></a></h2>
        <h4><a href="#"><?php echo SITE_SLOG; ?></a></h4>
        <img src="<?php echo SITE_LOGO; ?>" width="100%" style=" max-width:290px;max-height:76px;" alt="<?php echo SITE_NAME; ?>">
      </div>
      <div class="well">
        <p><a href="#">Most Requested</a></p>
        <p><?php echo $topreq;; ?></p>
      </div>
      <p>POWERED BY <a href="https://radiodj.ro" target="_blank">RADIODJ</a></p>
      <p>Developed By  <a href="https://stewartswebworks.com" target="_blank">StewartsWebWorks.com</a></p>
    </div>
    <div class="col-sm-9">
    
      <div class="row">
        <div class="col-sm-12 well">
<h3>Request on <?php echo SITE_NAME; ?></h3>
<input  name="query" type="text" id="live_search_input" style="font-size:16px;width:100%;min-width:240px;padding:8px;border:#e6e6e6 solid 1px;border-radius:5px 5px 5px 5px;" placeholder="Search <?php echo $rows; ?> songs by Artist or Title" />
<hr />
<div id="searchresultdata" class="xr-liveresuts" align="left" style="margin-bottom:12px;"> </div>
<?php echo $requestlist; ?>
<div align="center" style="padding:20px;">
<nav>
  <ul class="pagination">
    <?php echo $paginationCtrls; ?>
  </ul>
</nav>

<div align="center">
  <div class="row">
    <div class="col-sm-6">Request Available
    <div class="rdjbutton">REQUEST</div>
    </div>
    <div class="col-sm-6">Song Requested
    <div class="rdjbuttonrqd">REQUESTED</div>
    </div>
  </div>
</div>
</div>
        </div>
      </div>
    </div>
  </div>
</div>



<footer id="footer">
  <p>&copy; <?php echo SITE_NAME; ?> <?php echo date("Y"); ?> All rights reserved. <?php if(!empty(ORS_LNUMB)){ echo '(Licence No:'.ORS_LNUMB.')'; }else{ echo ''; } ?><br /> POWERED BY <a style="color:#d2d2d2;" href="https://radiodj.ro" target="_blank">RADIODJ</a> - Website Developed By  <a style="color:#d2d2d2;" href="https://stewartswebworks.com" target="_blank">StewartsWebWorks.com</a></p>
</footer>
<!-- YOUR USE OF THIS WEBSCRIPT IS FOR USE WITH RADIODJ (RADIODJ.RO) AND IS BROUGHT TO YOU BY STEWARTSWEBWORKS.COM FREE WITH THE LIMITATION THAT YOU LEAVE THE POWERED BY AND DEVELOPED BY LINKS IN PLACE - THANK YOU -->
</div>
</body>
</html>
